Transactions

Returns the list of all transactions

get
/transactions

The transactions are sorted by creation date, in descending order. The most recently created transactions appear first. The transactions can be filtered by date using the from and to parameters. If the from and to parameters are not provided, the transactions are fetched from the beginning until now. The transactions can be paginated using the limit parameter. If there are more transactions to fetch with the provided parameters, the response will contain a hasNextPage field set to true. In order to fetch the next page, the to parameter must be set to the createdAt field of the last transaction of the current page.

Authorizations
RIALTO_API_KEYstringRequired
Query parameters
fromstring · date-timeOptional

The date from which the transactions are fetched. The comparison is made using the createdAt field of the transactions. The comparison is inclusive, meaning that the transactions created at the provided date are included in the result. The value is in ISO 8601 format. If the value is not provided, the transactions are fetched from the beginning.

Example: 2024-12-01T09:07:54.940Z
tostring · date-timeOptional

The date to which the transactions are fetched. The comparison is made using the createdAt field of the transactions. The comparison is exlusive, meaning that the transactions created at the provided date are not included in the result. The value is in ISO 8601 format. If the value is not provided, the transactions are fetched until now.

Example: 2024-12-03T10:07:54.940Z
limitinteger · int32Optional

The maximum number of transactions to fetch. The value must be a positive integer. If the value is not provided, the default value is 10. The maximum value is 100.

Example: 10
Responses
chevron-right
200

A JSON array of transactions.

application/json
hasNextPagebooleanOptional

Whether there are more transactions to fetch with the provided parameters.

get
/transactions

Get a transaction

get
/transactions/{transactionId}

Get a transaction by unique identifier.

Authorizations
RIALTO_API_KEYstringRequired
Path parameters
transactionIdstringRequired

The transaction ID

Query parameters
id_typestring · enumOptional

Defines whether the specified ID is the transaction ID of the transaction hash.

Possible values:
Responses
chevron-right
200

The transaction

application/json
idstring · uuidOptional

The unique identifier of the transaction.

transactionTypestring · enumOptional

The type of the transaction. Possible values are:

  • OFFRAMP: The transaction is an off-ramping of blockchain asset to fiat currency,
  • ONRAMP: The transaction is an on-ramping of fiat currency to blockchain asset.
Possible values:
statusstring · enumOptional

The status of the transaction. Possible values are:

  • IDLE: The transaction has been created and is waiting for the initial funds transfer to be initiated,
  • INITIATED: transaction has been initiated, it is in progress of resolution by Rialto,
  • COMPLETED: The transaction has been completed,
  • CANCELLED: The transaction has been cancelled,
  • DISMISSED: The transaction has been dismissed by Rialto.
Possible values:
idempotencyKeystring · nullableOptional

The idempotency key input at the transaction creation. It is only defined for transactions created by the API

originalAmountnumber · floatOptional

The original amount of the transaction. The value is always positive.

fiatCurrencystringOptional

The fiat currency of the transaction. See the list of supported fiat currencies.

blockchainAssetstringOptional

The blockchain asset of the transaction. See the list of supported blockchain assets.

blockchainNetworkstringOptional

The blockchain network of the transaction. See the list of supported blockchains.

blockchainWalletIdstring · uuidOptional

The blockchain wallet identifier of transaction.

bankAccountIdstring · uuidOptional

The bank account identifier of transaction. The fiat currency of the transaction is the one of the bank account.

wireReferenceOverridestring · nullableOptional

In case of offramp, string that will replace the default wire reference. Use for specific cases of matching and integration on the client bank side. Field is optional.

createdAtstring · date-timeOptional

The creation date of the transaction.

cancelledAtstring · nullableOptional

The date when the transaction was cancelled. Only present if the transaction was cancelled, i.e. in status CANCELLED.

clientIdstring · uuidOptional

The unique identifier of the client.

clientTypestring · enumOptional

The type of the client.

  • INDIVIDUAL: The client is an individual.
  • ENTITY: The client is an entity.
Possible values:
get
/transactions/{transactionId}

Last updated